### Class method

# Gtk WidgetClass add_shortcut

#### Declaration [src]

    void
    gtk_widget_class_add_shortcut (
      GtkWidgetClass* widget_class,
      GtkShortcut* shortcut
    )

#### Description [src]

Installs a shortcut in `widget_class`.

Every instance created for `widget_class` or its subclasses will inherit this shortcut and trigger it.

Shortcuts added this way will be triggered in the `GTK_PHASE_BUBBLE` phase, which means they may also trigger if child widgets have focus.

This function must only be used in class initialization functions otherwise it is not guaranteed that the shortcut will be installed.

#### Parameters

`shortcut`

  Type: `GtkShortcut`

  The shortcut to add.

  The data is owned by the caller of the method.